Returns the company's contact information.

GEThttps://api.awork.com/api/v1/companies/{companyId}/contactinfo
GET https://api.awork.com/api/v1/companies/{companyId}/contactinfo

Returns all contact information stored for the specified company.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

companyIdstringRequired
format: uuid

The id of the company.

Query parameters

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

labelstring or nullOptional
minLength: 0 maxLength: 1000

The label of the contact info. Only necessary if type 'custom' is used.

valuestring or nullOptional
minLength: 0 maxLength: 1000

The value of the contact info.

typestringRequired
minLength: 0 maxLength: 25

The type of the contact info. Possible values are: 'phone', 'email', 'address', 'url', 'custom'.

subTypestring or nullOptional
minLength: 0 maxLength: 25

The subtype of the contact info. Required for all types except 'custom'. Possible values are: phone: [ 'central', 'other' ] email: [ 'central', 'invoice', 'other' ] address: [ 'central', 'invoice', 'other' ] url: [ 'primary', 'other' ]

addressLine1string or nullOptional
minLength: 0 maxLength: 1000

The first address line of the contact info.

addressLine2string or nullOptional
minLength: 0 maxLength: 100

The second address line of the contact info.

zipCodestring or nullOptional
minLength: 0 maxLength: 100

The zipcode of the contact info.

citystring or nullOptional
minLength: 0 maxLength: 100

The city of the contact info.

statestring or nullOptional
minLength: 0 maxLength: 100

The state of the contact info.

countrystring or nullOptional
minLength: 0 maxLength: 100

The 2 letter iso code of the country.

isAddressbooleanOptional

Flags whether this contact info is an address. If it's an address, the address fields are required.

idstringOptional
format: uuid

The Id of the contact info.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

Search documentation